Package org.eclipse.net4j.util.ui.chat

# Class ChatRenderer.Renderable

java.lang.Object
org.eclipse.net4j.util.ui.chat.ChatRenderer.Renderable

Direct Known Subclasses:
  `ChatRenderer.Bubble`, `ChatRenderer.BubbleGroup`, `ChatRenderer.DateLine`

Enclosing class:
  `ChatRenderer`

public abstract static class ChatRenderer.Renderable extends Object

Author:
  Eike Stepper

## Method Summary

Modifier and Type
Method
Description
`protected abstract void`
`renderHTML(ChatRenderer renderer, StringBuilder html, Map<String,Object> properties)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### renderHTML

protected abstract void renderHTML(ChatRenderer renderer, StringBuilder html, Map<String,Object> properties)